"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimeoutBar = void 0;
const web_1 = require("@react-spring/web");
const react_1 = __importStar(require("react"));
const utilities_1 = require("../utilities");
const TimeoutBar = ({ duration = 5000, height = '10px', uiFunction = utilities_1.UiFunction.Success }) => {
    const [isRunning, setIsRunning] = (0, react_1.useState)(false);
    const props = (0, web_1.useSpring)({
        width: isRunning ? `${100}%` : `0%`,
        config: {
            duration,
            easing: web_1.easings.easeInOutQuad,
        }
    });
    const containerStyle = {
        position: 'relative',
        width: '100%',
        height,
        overflow: 'hidden'
    };
    const barStyle = {
        position: 'absolute',
        top: 0,
        left: 0,
        height: '100%',
        borderRadius: '10px'
    };
    (0, react_1.useEffect)(() => {
        setIsRunning(true);
    }, []);
    return (react_1.default.createElement("div", { style: containerStyle },
        react_1.default.createElement("div", { style: { ...barStyle, width: '100%', opacity: '.3' }, className: 'text-bg-' + uiFunction }),
        react_1.default.createElement(web_1.animated.div, { style: { ...props, ...barStyle }, className: 'text-bg-' + uiFunction })));
};
exports.TimeoutBar = TimeoutBar;
//# sourceMappingURL=timeoutBar.js.map